<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMonRxIfStageRep_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMonRxIfStageRep_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the Monitoring report which RadarSS sends to the host, containing the measured RX IF filter attenuation values at the given IF frequencies. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_RX_IF_STAGE_REPORT.  
 <a href="structrl_mon_rx_if_stage_rep__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aabdbd7b71e9b7b50fab528cc6f8c1a4a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aabdbd7b71e9b7b50fab528cc6f8c1a4a"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_if_stage_rep__t.html#aabdbd7b71e9b7b50fab528cc6f8c1a4a">statusFlags</a></td></tr>
<tr class="memdesc:aabdbd7b71e9b7b50fab528cc6f8c1a4a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flags indicating pass fail results corresponding to various threshold <br />
 checks under this monitor. <br />
 Bit STATUS_FLAG for monitor <br />
 [0] STATUS_RX_HPF_ERROR <br />
 [1] STATUS_RX_LPF_ERROR <br />
 [2] STATUS_RX_IFA_GAIN_ERROR <br />
 [15:3]RESERVED <br />
 0 - FAIL or check wasn't done, 1 - PASS <br />
. <br /></td></tr>
<tr class="separator:aabdbd7b71e9b7b50fab528cc6f8c1a4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0871b63d17351546b6358faed6ce6fba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0871b63d17351546b6358faed6ce6fba"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_if_stage_rep__t.html#a0871b63d17351546b6358faed6ce6fba">errorCode</a></td></tr>
<tr class="memdesc:a0871b63d17351546b6358faed6ce6fba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates any error reported during monitoring Value of 0 indicates no error. <br /></td></tr>
<tr class="separator:a0871b63d17351546b6358faed6ce6fba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af19788032eb405e1db8fc54d7b16f1e6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af19788032eb405e1db8fc54d7b16f1e6"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_if_stage_rep__t.html#af19788032eb405e1db8fc54d7b16f1e6">profIndex</a></td></tr>
<tr class="memdesc:af19788032eb405e1db8fc54d7b16f1e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Profile Index for which this monitoring report applies. <br /></td></tr>
<tr class="separator:af19788032eb405e1db8fc54d7b16f1e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d7eb4a8cc5a407fe3235a286f080e6b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2d7eb4a8cc5a407fe3235a286f080e6b"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_if_stage_rep__t.html#a2d7eb4a8cc5a407fe3235a286f080e6b">reserved0</a></td></tr>
<tr class="memdesc:a2d7eb4a8cc5a407fe3235a286f080e6b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a2d7eb4a8cc5a407fe3235a286f080e6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d25a727e41ba3ced51c5c9d058266f5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d25a727e41ba3ced51c5c9d058266f5"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_if_stage_rep__t.html#a4d25a727e41ba3ced51c5c9d058266f5">reserved1</a></td></tr>
<tr class="memdesc:a4d25a727e41ba3ced51c5c9d058266f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a4d25a727e41ba3ced51c5c9d058266f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b00384f1d84c770528e13b9a5f03d8e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b00384f1d84c770528e13b9a5f03d8e"></a>
rlInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_if_stage_rep__t.html#a2b00384f1d84c770528e13b9a5f03d8e">hpfCutOffFreqEr</a> [8U]</td></tr>
<tr class="memdesc:a2b00384f1d84c770528e13b9a5f03d8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The deviations of RX IFA HPF cutoff frequency from the ideally expected values <br />
 for all the enabled RX channels are reported here. <br />
 HPF_CUTOFF_FREQ_ERROR = 100*(Measured Cutoff Frequency / <br />
 Expected Cutoff Frequency) - 100, <br />
 for RX IF filter in the HPF region. <br />
 Byte numbers corresponding to measured cutoff frequency error <br />
 on different RX channels, in this field are here: <br />
 I channel Q channel <br />
 RX0 0 4 <br />
 RX1 1 5 <br />
 RX2 2 6 <br />
 RX3 3 7 <br />
 1 LSB = 1%, signed number <br />
 Applicable only for the enabled channels. <br />
. <br /></td></tr>
<tr class="separator:a2b00384f1d84c770528e13b9a5f03d8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca07d8643e04bb7fa4c29b5426658c81"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca07d8643e04bb7fa4c29b5426658c81"></a>
rlInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_if_stage_rep__t.html#aca07d8643e04bb7fa4c29b5426658c81">lpfCutOffFreqEr</a> [8U]</td></tr>
<tr class="memdesc:aca07d8643e04bb7fa4c29b5426658c81"><td class="mdescLeft">&#160;</td><td class="mdescRight">The deviations of RX IFA LPF cutoff frequency <br />
 from the ideally expected values for all the enabled <br />
 RX channels are reported here. <br />
 LPF_CUTOFF_FREQ_ERROR = 100*(Measured Cutoff Frequency / <br />
 Expected Cutoff Frequency) - 100, for RX IF filter in the LPF <br />
 region. <br />
 Byte numbers corresponding to measured cutoff frequency error <br />
 on different RX channels, in this field are here: <br />
 I channel Q channel <br />
 RX0 0 4 <br />
 RX1 1 5 <br />
 RX2 2 6 <br />
 RX3 3 7 <br />
 1 LSB = 1%, signed number <br />
 Applicable only for the enabled channels. <br />
. <br /></td></tr>
<tr class="separator:aca07d8643e04bb7fa4c29b5426658c81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19b138de0ff20f44517a83504731deb2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a19b138de0ff20f44517a83504731deb2"></a>
rlInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_if_stage_rep__t.html#a19b138de0ff20f44517a83504731deb2">rxIfaGainErVal</a> [8U]</td></tr>
<tr class="memdesc:a19b138de0ff20f44517a83504731deb2"><td class="mdescLeft">&#160;</td><td class="mdescRight">The deviations of RX IFA Gain from the ideally expected <br />
 values for all the enabled RX channels are reported here. <br />
 Byte numbers corresponding to measured cutoff frequency error <br />
 on different RX channels and HPF/LPF, in this field are here: <br />
 I channel Q channel <br />
 RX0 0 4 <br />
 RX1 1 5 <br />
 RX2 2 6 <br />
 RX3 3 7 <br />
 1 LSB = 0.1dB, signed number <br />
 Applicable only for the enabled channels. <br />
. <br /></td></tr>
<tr class="separator:a19b138de0ff20f44517a83504731deb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e177152464306a02514463b8864d8ee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e177152464306a02514463b8864d8ee"></a>
rlInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_if_stage_rep__t.html#a0e177152464306a02514463b8864d8ee">ifGainExp</a></td></tr>
<tr class="memdesc:a0e177152464306a02514463b8864d8ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expected IF gain 1 LSB = 1 dB, 8 bit signed number. <br /></td></tr>
<tr class="separator:a0e177152464306a02514463b8864d8ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b7276e4d8614ff843082f1b154e874a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4b7276e4d8614ff843082f1b154e874a"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_if_stage_rep__t.html#a4b7276e4d8614ff843082f1b154e874a">reserved2</a></td></tr>
<tr class="memdesc:a4b7276e4d8614ff843082f1b154e874a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a4b7276e4d8614ff843082f1b154e874a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb4d5a52209215169af8c1543ad2b245"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb4d5a52209215169af8c1543ad2b245"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_if_stage_rep__t.html#adb4d5a52209215169af8c1543ad2b245">reserved3</a></td></tr>
<tr class="memdesc:adb4d5a52209215169af8c1543ad2b245"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:adb4d5a52209215169af8c1543ad2b245"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37f9ba2e96af05d9dc3900ab8fd7796e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37f9ba2e96af05d9dc3900ab8fd7796e"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_if_stage_rep__t.html#a37f9ba2e96af05d9dc3900ab8fd7796e">reserved4</a></td></tr>
<tr class="memdesc:a37f9ba2e96af05d9dc3900ab8fd7796e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a37f9ba2e96af05d9dc3900ab8fd7796e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0aa65f7f30806db15666e52f6d8b26a7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0aa65f7f30806db15666e52f6d8b26a7"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_if_stage_rep__t.html#a0aa65f7f30806db15666e52f6d8b26a7">timeStamp</a></td></tr>
<tr class="memdesc:a0aa65f7f30806db15666e52f6d8b26a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates when the last monitoring in the enabled set was performed. <br />
 1 LSB = 1 millisecond (the stamp rolls over upon exceeding allotted bit width) <br />
. <br /></td></tr>
<tr class="separator:a0aa65f7f30806db15666e52f6d8b26a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the Monitoring report which RadarSS sends to the host, containing the measured RX IF filter attenuation values at the given IF frequencies. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_RX_IF_STAGE_REPORT. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
